<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::timeout Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1timeout.html">timeout</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1timeout-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::timeout Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1timeout_1_1bind.html">bind</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1timeout_1_1functor.html">functor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1timeout_1_1one.html">one</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1timeout_1_1zero.html">zero</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:af738b108c3bc18219df402bb4d50c3b5"><td class="memItemLeft" align="right" valign="top"><a id="af738b108c3bc18219df402bb4d50c3b5"></a>
typedef <a class="el" href="classdlib_1_1timeout.html">timeout</a>&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1a</b></td></tr>
<tr class="separator:af738b108c3bc18219df402bb4d50c3b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7a2a14a48c0d49a7cb8d997fbf916eeb"><td class="memTemplParams" colspan="2"><a id="a7a2a14a48c0d49a7cb8d997fbf916eeb"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a7a2a14a48c0d49a7cb8d997fbf916eeb"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>timeout</b> (T callback_function, unsigned long ms_to_timeout)</td></tr>
<tr class="separator:a7a2a14a48c0d49a7cb8d997fbf916eeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ad2e3bd721bd0d2d34f0ea645465905"><td class="memTemplParams" colspan="2"><a id="a8ad2e3bd721bd0d2d34f0ea645465905"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a8ad2e3bd721bd0d2d34f0ea645465905"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>timeout</b> (T &amp;object, void(T::*callback_function)(), unsigned long ms_to_timeout)</td></tr>
<tr class="separator:a8ad2e3bd721bd0d2d34f0ea645465905"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5df2c25639c96b284c1c2489ad704bae"><td class="memTemplParams" colspan="2"><a id="a5df2c25639c96b284c1c2489ad704bae"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a5df2c25639c96b284c1c2489ad704bae"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>timeout</b> (T &amp;object, void(T::*callback_function)(U callback_function_argument), unsigned long ms_to_timeout, U callback_function_argument)</td></tr>
<tr class="separator:a5df2c25639c96b284c1c2489ad704bae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac007be7fb8d6ba674ddcd8856153ca1f"><td class="memTemplParams" colspan="2"><a id="ac007be7fb8d6ba674ddcd8856153ca1f"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:ac007be7fb8d6ba674ddcd8856153ca1f"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>timeout</b> (T &amp;object, int(T::*callback_function)(), unsigned long ms_to_timeout)</td></tr>
<tr class="separator:ac007be7fb8d6ba674ddcd8856153ca1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81ba4df1467299d32af0eecedb679573"><td class="memTemplParams" colspan="2"><a id="a81ba4df1467299d32af0eecedb679573"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a81ba4df1467299d32af0eecedb679573"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>timeout</b> (T &amp;object, int(T::*callback_function)(U callback_function_argument), unsigned long ms_to_timeout, U callback_function_argument)</td></tr>
<tr class="separator:a81ba4df1467299d32af0eecedb679573"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af6de6c3bf5deb57572a58216d4dd893d"><td class="memItemLeft" align="right" valign="top"><a id="af6de6c3bf5deb57572a58216d4dd893d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>trigger_timeout</b> ()</td></tr>
<tr class="separator:af6de6c3bf5deb57572a58216d4dd893d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9f99741afce4ce6afc135cbdb042be4"><td class="memItemLeft" align="right" valign="top"><a id="ad9f99741afce4ce6afc135cbdb042be4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>timeout</b> (const <a class="el" href="classdlib_1_1timeout.html">timeout</a> &amp;)</td></tr>
<tr class="separator:ad9f99741afce4ce6afc135cbdb042be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d09c2c3c032bfee9a755611da784aeb"><td class="memItemLeft" align="right" valign="top"><a id="a8d09c2c3c032bfee9a755611da784aeb"></a>
<a class="el" href="classdlib_1_1timeout.html">timeout</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1timeout.html">timeout</a> &amp;)</td></tr>
<tr class="separator:a8d09c2c3c032bfee9a755611da784aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a029507cf3b6fcd79440f05e36d176ba6"><td class="memItemLeft" align="right" valign="top"><a id="a029507cf3b6fcd79440f05e36d176ba6"></a>
<a class="el" href="classdlib_1_1timer.html">dlib::timer</a>&lt; <a class="el" href="classdlib_1_1timeout.html">timeout</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>t</b></td></tr>
<tr class="separator:a029507cf3b6fcd79440f05e36d176ba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa12ed36d10b5e04e220c395311eb1dc4"><td class="memItemLeft" align="right" valign="top"><a id="aa12ed36d10b5e04e220c395311eb1dc4"></a>
<a class="el" href="classdlib_1_1timeout_1_1bind.html">bind</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>b</b></td></tr>
<tr class="separator:aa12ed36d10b5e04e220c395311eb1dc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="timeout_2timeout_8h_source.html">timeout/timeout.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
